Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network22.2.72.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
22.2.72.0
Broadcast address
22.2.75.255
First usable
22.2.72.1
Last usable
22.2.75.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 16024800 · Integer 369248256 to 369249279
Reverse DNS zones
72.2.22.in-addr.arpa
73.2.22.in-addr.arpa
74.2.22.in-addr.arpa
75.2.22.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010110.00000010.01001000.0000000022.2.72.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00010110.00000010.01001000.0000000022.2.72.0
Broadcast00010110.00000010.01001011.1111111122.2.75.255
Split into smaller subnets/30

22.2.72.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
122.2.72.0/3022.2.72.1 to 22.2.72.222.2.72.32
222.2.72.4/3022.2.72.5 to 22.2.72.622.2.72.72
322.2.72.8/3022.2.72.9 to 22.2.72.1022.2.72.112
422.2.72.12/3022.2.72.13 to 22.2.72.1422.2.72.152
522.2.72.16/3022.2.72.17 to 22.2.72.1822.2.72.192
622.2.72.20/3022.2.72.21 to 22.2.72.2222.2.72.232
722.2.72.24/3022.2.72.25 to 22.2.72.2622.2.72.272
822.2.72.28/3022.2.72.29 to 22.2.72.3022.2.72.312
922.2.72.32/3022.2.72.33 to 22.2.72.3422.2.72.352
1022.2.72.36/3022.2.72.37 to 22.2.72.3822.2.72.392
1122.2.72.40/3022.2.72.41 to 22.2.72.4222.2.72.432
1222.2.72.44/3022.2.72.45 to 22.2.72.4622.2.72.472
1322.2.72.48/3022.2.72.49 to 22.2.72.5022.2.72.512
1422.2.72.52/3022.2.72.53 to 22.2.72.5422.2.72.552
1522.2.72.56/3022.2.72.57 to 22.2.72.5822.2.72.592
1622.2.72.60/3022.2.72.61 to 22.2.72.6222.2.72.632
1722.2.72.64/3022.2.72.65 to 22.2.72.6622.2.72.672
1822.2.72.68/3022.2.72.69 to 22.2.72.7022.2.72.712
1922.2.72.72/3022.2.72.73 to 22.2.72.7422.2.72.752
2022.2.72.76/3022.2.72.77 to 22.2.72.7822.2.72.792
2122.2.72.80/3022.2.72.81 to 22.2.72.8222.2.72.832
2222.2.72.84/3022.2.72.85 to 22.2.72.8622.2.72.872
2322.2.72.88/3022.2.72.89 to 22.2.72.9022.2.72.912
2422.2.72.92/3022.2.72.93 to 22.2.72.9422.2.72.952
2522.2.72.96/3022.2.72.97 to 22.2.72.9822.2.72.992
2622.2.72.100/3022.2.72.101 to 22.2.72.10222.2.72.1032
2722.2.72.104/3022.2.72.105 to 22.2.72.10622.2.72.1072
2822.2.72.108/3022.2.72.109 to 22.2.72.11022.2.72.1112
2922.2.72.112/3022.2.72.113 to 22.2.72.11422.2.72.1152
3022.2.72.116/3022.2.72.117 to 22.2.72.11822.2.72.1192
3122.2.72.120/3022.2.72.121 to 22.2.72.12222.2.72.1232
3222.2.72.124/3022.2.72.125 to 22.2.72.12622.2.72.1272
3322.2.72.128/3022.2.72.129 to 22.2.72.13022.2.72.1312
3422.2.72.132/3022.2.72.133 to 22.2.72.13422.2.72.1352
3522.2.72.136/3022.2.72.137 to 22.2.72.13822.2.72.1392
3622.2.72.140/3022.2.72.141 to 22.2.72.14222.2.72.1432
3722.2.72.144/3022.2.72.145 to 22.2.72.14622.2.72.1472
3822.2.72.148/3022.2.72.149 to 22.2.72.15022.2.72.1512
3922.2.72.152/3022.2.72.153 to 22.2.72.15422.2.72.1552
4022.2.72.156/3022.2.72.157 to 22.2.72.15822.2.72.1592
4122.2.72.160/3022.2.72.161 to 22.2.72.16222.2.72.1632
4222.2.72.164/3022.2.72.165 to 22.2.72.16622.2.72.1672
4322.2.72.168/3022.2.72.169 to 22.2.72.17022.2.72.1712
4422.2.72.172/3022.2.72.173 to 22.2.72.17422.2.72.1752
4522.2.72.176/3022.2.72.177 to 22.2.72.17822.2.72.1792
4622.2.72.180/3022.2.72.181 to 22.2.72.18222.2.72.1832
4722.2.72.184/3022.2.72.185 to 22.2.72.18622.2.72.1872
4822.2.72.188/3022.2.72.189 to 22.2.72.19022.2.72.1912
4922.2.72.192/3022.2.72.193 to 22.2.72.19422.2.72.1952
5022.2.72.196/3022.2.72.197 to 22.2.72.19822.2.72.1992
5122.2.72.200/3022.2.72.201 to 22.2.72.20222.2.72.2032
5222.2.72.204/3022.2.72.205 to 22.2.72.20622.2.72.2072
5322.2.72.208/3022.2.72.209 to 22.2.72.21022.2.72.2112
5422.2.72.212/3022.2.72.213 to 22.2.72.21422.2.72.2152
5522.2.72.216/3022.2.72.217 to 22.2.72.21822.2.72.2192
5622.2.72.220/3022.2.72.221 to 22.2.72.22222.2.72.2232
5722.2.72.224/3022.2.72.225 to 22.2.72.22622.2.72.2272
5822.2.72.228/3022.2.72.229 to 22.2.72.23022.2.72.2312
5922.2.72.232/3022.2.72.233 to 22.2.72.23422.2.72.2352
6022.2.72.236/3022.2.72.237 to 22.2.72.23822.2.72.2392
6122.2.72.240/3022.2.72.241 to 22.2.72.24222.2.72.2432
6222.2.72.244/3022.2.72.245 to 22.2.72.24622.2.72.2472
6322.2.72.248/3022.2.72.249 to 22.2.72.25022.2.72.2512
6422.2.72.252/3022.2.72.253 to 22.2.72.25422.2.72.2552
6522.2.73.0/3022.2.73.1 to 22.2.73.222.2.73.32
6622.2.73.4/3022.2.73.5 to 22.2.73.622.2.73.72
6722.2.73.8/3022.2.73.9 to 22.2.73.1022.2.73.112
6822.2.73.12/3022.2.73.13 to 22.2.73.1422.2.73.152
6922.2.73.16/3022.2.73.17 to 22.2.73.1822.2.73.192
7022.2.73.20/3022.2.73.21 to 22.2.73.2222.2.73.232
7122.2.73.24/3022.2.73.25 to 22.2.73.2622.2.73.272
7222.2.73.28/3022.2.73.29 to 22.2.73.3022.2.73.312
7322.2.73.32/3022.2.73.33 to 22.2.73.3422.2.73.352
7422.2.73.36/3022.2.73.37 to 22.2.73.3822.2.73.392
7522.2.73.40/3022.2.73.41 to 22.2.73.4222.2.73.432
7622.2.73.44/3022.2.73.45 to 22.2.73.4622.2.73.472
7722.2.73.48/3022.2.73.49 to 22.2.73.5022.2.73.512
7822.2.73.52/3022.2.73.53 to 22.2.73.5422.2.73.552
7922.2.73.56/3022.2.73.57 to 22.2.73.5822.2.73.592
8022.2.73.60/3022.2.73.61 to 22.2.73.6222.2.73.632
8122.2.73.64/3022.2.73.65 to 22.2.73.6622.2.73.672
8222.2.73.68/3022.2.73.69 to 22.2.73.7022.2.73.712
8322.2.73.72/3022.2.73.73 to 22.2.73.7422.2.73.752
8422.2.73.76/3022.2.73.77 to 22.2.73.7822.2.73.792
8522.2.73.80/3022.2.73.81 to 22.2.73.8222.2.73.832
8622.2.73.84/3022.2.73.85 to 22.2.73.8622.2.73.872
8722.2.73.88/3022.2.73.89 to 22.2.73.9022.2.73.912
8822.2.73.92/3022.2.73.93 to 22.2.73.9422.2.73.952
8922.2.73.96/3022.2.73.97 to 22.2.73.9822.2.73.992
9022.2.73.100/3022.2.73.101 to 22.2.73.10222.2.73.1032
9122.2.73.104/3022.2.73.105 to 22.2.73.10622.2.73.1072
9222.2.73.108/3022.2.73.109 to 22.2.73.11022.2.73.1112
9322.2.73.112/3022.2.73.113 to 22.2.73.11422.2.73.1152
9422.2.73.116/3022.2.73.117 to 22.2.73.11822.2.73.1192
9522.2.73.120/3022.2.73.121 to 22.2.73.12222.2.73.1232
9622.2.73.124/3022.2.73.125 to 22.2.73.12622.2.73.1272
9722.2.73.128/3022.2.73.129 to 22.2.73.13022.2.73.1312
9822.2.73.132/3022.2.73.133 to 22.2.73.13422.2.73.1352
9922.2.73.136/3022.2.73.137 to 22.2.73.13822.2.73.1392
10022.2.73.140/3022.2.73.141 to 22.2.73.14222.2.73.1432
10122.2.73.144/3022.2.73.145 to 22.2.73.14622.2.73.1472
10222.2.73.148/3022.2.73.149 to 22.2.73.15022.2.73.1512
10322.2.73.152/3022.2.73.153 to 22.2.73.15422.2.73.1552
10422.2.73.156/3022.2.73.157 to 22.2.73.15822.2.73.1592
10522.2.73.160/3022.2.73.161 to 22.2.73.16222.2.73.1632
10622.2.73.164/3022.2.73.165 to 22.2.73.16622.2.73.1672
10722.2.73.168/3022.2.73.169 to 22.2.73.17022.2.73.1712
10822.2.73.172/3022.2.73.173 to 22.2.73.17422.2.73.1752
10922.2.73.176/3022.2.73.177 to 22.2.73.17822.2.73.1792
11022.2.73.180/3022.2.73.181 to 22.2.73.18222.2.73.1832
11122.2.73.184/3022.2.73.185 to 22.2.73.18622.2.73.1872
11222.2.73.188/3022.2.73.189 to 22.2.73.19022.2.73.1912
11322.2.73.192/3022.2.73.193 to 22.2.73.19422.2.73.1952
11422.2.73.196/3022.2.73.197 to 22.2.73.19822.2.73.1992
11522.2.73.200/3022.2.73.201 to 22.2.73.20222.2.73.2032
11622.2.73.204/3022.2.73.205 to 22.2.73.20622.2.73.2072
11722.2.73.208/3022.2.73.209 to 22.2.73.21022.2.73.2112
11822.2.73.212/3022.2.73.213 to 22.2.73.21422.2.73.2152
11922.2.73.216/3022.2.73.217 to 22.2.73.21822.2.73.2192
12022.2.73.220/3022.2.73.221 to 22.2.73.22222.2.73.2232
12122.2.73.224/3022.2.73.225 to 22.2.73.22622.2.73.2272
12222.2.73.228/3022.2.73.229 to 22.2.73.23022.2.73.2312
12322.2.73.232/3022.2.73.233 to 22.2.73.23422.2.73.2352
12422.2.73.236/3022.2.73.237 to 22.2.73.23822.2.73.2392
12522.2.73.240/3022.2.73.241 to 22.2.73.24222.2.73.2432
12622.2.73.244/3022.2.73.245 to 22.2.73.24622.2.73.2472
12722.2.73.248/3022.2.73.249 to 22.2.73.25022.2.73.2512
12822.2.73.252/3022.2.73.253 to 22.2.73.25422.2.73.2552
12922.2.74.0/3022.2.74.1 to 22.2.74.222.2.74.32
13022.2.74.4/3022.2.74.5 to 22.2.74.622.2.74.72
13122.2.74.8/3022.2.74.9 to 22.2.74.1022.2.74.112
13222.2.74.12/3022.2.74.13 to 22.2.74.1422.2.74.152
13322.2.74.16/3022.2.74.17 to 22.2.74.1822.2.74.192
13422.2.74.20/3022.2.74.21 to 22.2.74.2222.2.74.232
13522.2.74.24/3022.2.74.25 to 22.2.74.2622.2.74.272
13622.2.74.28/3022.2.74.29 to 22.2.74.3022.2.74.312
13722.2.74.32/3022.2.74.33 to 22.2.74.3422.2.74.352
13822.2.74.36/3022.2.74.37 to 22.2.74.3822.2.74.392
13922.2.74.40/3022.2.74.41 to 22.2.74.4222.2.74.432
14022.2.74.44/3022.2.74.45 to 22.2.74.4622.2.74.472
14122.2.74.48/3022.2.74.49 to 22.2.74.5022.2.74.512
14222.2.74.52/3022.2.74.53 to 22.2.74.5422.2.74.552
14322.2.74.56/3022.2.74.57 to 22.2.74.5822.2.74.592
14422.2.74.60/3022.2.74.61 to 22.2.74.6222.2.74.632
14522.2.74.64/3022.2.74.65 to 22.2.74.6622.2.74.672
14622.2.74.68/3022.2.74.69 to 22.2.74.7022.2.74.712
14722.2.74.72/3022.2.74.73 to 22.2.74.7422.2.74.752
14822.2.74.76/3022.2.74.77 to 22.2.74.7822.2.74.792
14922.2.74.80/3022.2.74.81 to 22.2.74.8222.2.74.832
15022.2.74.84/3022.2.74.85 to 22.2.74.8622.2.74.872
15122.2.74.88/3022.2.74.89 to 22.2.74.9022.2.74.912
15222.2.74.92/3022.2.74.93 to 22.2.74.9422.2.74.952
15322.2.74.96/3022.2.74.97 to 22.2.74.9822.2.74.992
15422.2.74.100/3022.2.74.101 to 22.2.74.10222.2.74.1032
15522.2.74.104/3022.2.74.105 to 22.2.74.10622.2.74.1072
15622.2.74.108/3022.2.74.109 to 22.2.74.11022.2.74.1112
15722.2.74.112/3022.2.74.113 to 22.2.74.11422.2.74.1152
15822.2.74.116/3022.2.74.117 to 22.2.74.11822.2.74.1192
15922.2.74.120/3022.2.74.121 to 22.2.74.12222.2.74.1232
16022.2.74.124/3022.2.74.125 to 22.2.74.12622.2.74.1272
16122.2.74.128/3022.2.74.129 to 22.2.74.13022.2.74.1312
16222.2.74.132/3022.2.74.133 to 22.2.74.13422.2.74.1352
16322.2.74.136/3022.2.74.137 to 22.2.74.13822.2.74.1392
16422.2.74.140/3022.2.74.141 to 22.2.74.14222.2.74.1432
16522.2.74.144/3022.2.74.145 to 22.2.74.14622.2.74.1472
16622.2.74.148/3022.2.74.149 to 22.2.74.15022.2.74.1512
16722.2.74.152/3022.2.74.153 to 22.2.74.15422.2.74.1552
16822.2.74.156/3022.2.74.157 to 22.2.74.15822.2.74.1592
16922.2.74.160/3022.2.74.161 to 22.2.74.16222.2.74.1632
17022.2.74.164/3022.2.74.165 to 22.2.74.16622.2.74.1672
17122.2.74.168/3022.2.74.169 to 22.2.74.17022.2.74.1712
17222.2.74.172/3022.2.74.173 to 22.2.74.17422.2.74.1752
17322.2.74.176/3022.2.74.177 to 22.2.74.17822.2.74.1792
17422.2.74.180/3022.2.74.181 to 22.2.74.18222.2.74.1832
17522.2.74.184/3022.2.74.185 to 22.2.74.18622.2.74.1872
17622.2.74.188/3022.2.74.189 to 22.2.74.19022.2.74.1912
17722.2.74.192/3022.2.74.193 to 22.2.74.19422.2.74.1952
17822.2.74.196/3022.2.74.197 to 22.2.74.19822.2.74.1992
17922.2.74.200/3022.2.74.201 to 22.2.74.20222.2.74.2032
18022.2.74.204/3022.2.74.205 to 22.2.74.20622.2.74.2072
18122.2.74.208/3022.2.74.209 to 22.2.74.21022.2.74.2112
18222.2.74.212/3022.2.74.213 to 22.2.74.21422.2.74.2152
18322.2.74.216/3022.2.74.217 to 22.2.74.21822.2.74.2192
18422.2.74.220/3022.2.74.221 to 22.2.74.22222.2.74.2232
18522.2.74.224/3022.2.74.225 to 22.2.74.22622.2.74.2272
18622.2.74.228/3022.2.74.229 to 22.2.74.23022.2.74.2312
18722.2.74.232/3022.2.74.233 to 22.2.74.23422.2.74.2352
18822.2.74.236/3022.2.74.237 to 22.2.74.23822.2.74.2392
18922.2.74.240/3022.2.74.241 to 22.2.74.24222.2.74.2432
19022.2.74.244/3022.2.74.245 to 22.2.74.24622.2.74.2472
19122.2.74.248/3022.2.74.249 to 22.2.74.25022.2.74.2512
19222.2.74.252/3022.2.74.253 to 22.2.74.25422.2.74.2552
19322.2.75.0/3022.2.75.1 to 22.2.75.222.2.75.32
19422.2.75.4/3022.2.75.5 to 22.2.75.622.2.75.72
19522.2.75.8/3022.2.75.9 to 22.2.75.1022.2.75.112
19622.2.75.12/3022.2.75.13 to 22.2.75.1422.2.75.152
19722.2.75.16/3022.2.75.17 to 22.2.75.1822.2.75.192
19822.2.75.20/3022.2.75.21 to 22.2.75.2222.2.75.232
19922.2.75.24/3022.2.75.25 to 22.2.75.2622.2.75.272
20022.2.75.28/3022.2.75.29 to 22.2.75.3022.2.75.312
20122.2.75.32/3022.2.75.33 to 22.2.75.3422.2.75.352
20222.2.75.36/3022.2.75.37 to 22.2.75.3822.2.75.392
20322.2.75.40/3022.2.75.41 to 22.2.75.4222.2.75.432
20422.2.75.44/3022.2.75.45 to 22.2.75.4622.2.75.472
20522.2.75.48/3022.2.75.49 to 22.2.75.5022.2.75.512
20622.2.75.52/3022.2.75.53 to 22.2.75.5422.2.75.552
20722.2.75.56/3022.2.75.57 to 22.2.75.5822.2.75.592
20822.2.75.60/3022.2.75.61 to 22.2.75.6222.2.75.632
20922.2.75.64/3022.2.75.65 to 22.2.75.6622.2.75.672
21022.2.75.68/3022.2.75.69 to 22.2.75.7022.2.75.712
21122.2.75.72/3022.2.75.73 to 22.2.75.7422.2.75.752
21222.2.75.76/3022.2.75.77 to 22.2.75.7822.2.75.792
21322.2.75.80/3022.2.75.81 to 22.2.75.8222.2.75.832
21422.2.75.84/3022.2.75.85 to 22.2.75.8622.2.75.872
21522.2.75.88/3022.2.75.89 to 22.2.75.9022.2.75.912
21622.2.75.92/3022.2.75.93 to 22.2.75.9422.2.75.952
21722.2.75.96/3022.2.75.97 to 22.2.75.9822.2.75.992
21822.2.75.100/3022.2.75.101 to 22.2.75.10222.2.75.1032
21922.2.75.104/3022.2.75.105 to 22.2.75.10622.2.75.1072
22022.2.75.108/3022.2.75.109 to 22.2.75.11022.2.75.1112
22122.2.75.112/3022.2.75.113 to 22.2.75.11422.2.75.1152
22222.2.75.116/3022.2.75.117 to 22.2.75.11822.2.75.1192
22322.2.75.120/3022.2.75.121 to 22.2.75.12222.2.75.1232
22422.2.75.124/3022.2.75.125 to 22.2.75.12622.2.75.1272
22522.2.75.128/3022.2.75.129 to 22.2.75.13022.2.75.1312
22622.2.75.132/3022.2.75.133 to 22.2.75.13422.2.75.1352
22722.2.75.136/3022.2.75.137 to 22.2.75.13822.2.75.1392
22822.2.75.140/3022.2.75.141 to 22.2.75.14222.2.75.1432
22922.2.75.144/3022.2.75.145 to 22.2.75.14622.2.75.1472
23022.2.75.148/3022.2.75.149 to 22.2.75.15022.2.75.1512
23122.2.75.152/3022.2.75.153 to 22.2.75.15422.2.75.1552
23222.2.75.156/3022.2.75.157 to 22.2.75.15822.2.75.1592
23322.2.75.160/3022.2.75.161 to 22.2.75.16222.2.75.1632
23422.2.75.164/3022.2.75.165 to 22.2.75.16622.2.75.1672
23522.2.75.168/3022.2.75.169 to 22.2.75.17022.2.75.1712
23622.2.75.172/3022.2.75.173 to 22.2.75.17422.2.75.1752
23722.2.75.176/3022.2.75.177 to 22.2.75.17822.2.75.1792
23822.2.75.180/3022.2.75.181 to 22.2.75.18222.2.75.1832
23922.2.75.184/3022.2.75.185 to 22.2.75.18622.2.75.1872
24022.2.75.188/3022.2.75.189 to 22.2.75.19022.2.75.1912
24122.2.75.192/3022.2.75.193 to 22.2.75.19422.2.75.1952
24222.2.75.196/3022.2.75.197 to 22.2.75.19822.2.75.1992
24322.2.75.200/3022.2.75.201 to 22.2.75.20222.2.75.2032
24422.2.75.204/3022.2.75.205 to 22.2.75.20622.2.75.2072
24522.2.75.208/3022.2.75.209 to 22.2.75.21022.2.75.2112
24622.2.75.212/3022.2.75.213 to 22.2.75.21422.2.75.2152
24722.2.75.216/3022.2.75.217 to 22.2.75.21822.2.75.2192
24822.2.75.220/3022.2.75.221 to 22.2.75.22222.2.75.2232
24922.2.75.224/3022.2.75.225 to 22.2.75.22622.2.75.2272
25022.2.75.228/3022.2.75.229 to 22.2.75.23022.2.75.2312
25122.2.75.232/3022.2.75.233 to 22.2.75.23422.2.75.2352
25222.2.75.236/3022.2.75.237 to 22.2.75.23822.2.75.2392
25322.2.75.240/3022.2.75.241 to 22.2.75.24222.2.75.2432
25422.2.75.244/3022.2.75.245 to 22.2.75.24622.2.75.2472
25522.2.75.248/3022.2.75.249 to 22.2.75.25022.2.75.2512
25622.2.75.252/3022.2.75.253 to 22.2.75.25422.2.75.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses